Package org.opensaml.xacml.policy.impl

# Class ResourceTypeImplBuilder

java.lang.Object
org.opensaml.core.xml.AbstractXMLObjectBuilder<XACMLObjectType>
org.opensaml.xacml.impl.AbstractXACMLObjectBuilder<ResourceType>
org.opensaml.xacml.policy.impl.ResourceTypeImplBuilder

All Implemented Interfaces:
  `XMLObjectBuilder<ResourceType>`, `XACMLObjectBuilder<ResourceType>`

public class ResourceTypeImplBuilder extends AbstractXACMLObjectBuilder<ResourceType>
Builder for `ResourceType`.

## Constructor Summary

Constructors
Constructor
Description
`ResourceTypeImplBuilder()`

## Method Summary

Modifier and Type
Method
Description
`ResourceType`
`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`ResourceType`
`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject`

## Constructor Details

### ResourceTypeImplBuilder

public ResourceTypeImplBuilder()

## Method Details

### buildObject

public ResourceType buildObject()
Builds a XACMLObject using the default name and namespace information provided XACML specifications.

Specified by:
  `buildObject` in interface `XACMLObjectBuilder<ResourceType>`
Specified by:
  `buildObject` in class `AbstractXACMLObjectBuilder<ResourceType>`
Returns:
  built XACMLObject

### buildObject

public ResourceType buildObject(String namespaceURI, String localName, String namespacePrefix)
Creates an XMLObject with a given fully qualified name.

Specified by:
  `buildObject` in interface `XMLObjectBuilder<ResourceType>`
Specified by:
  `buildObject` in class `AbstractXMLObjectBuilder<ResourceType>`
Parameters:
  `namespaceURI` - the URI of the namespace the Element represented by this XMLObject will be in
  `localName` - the local name of the Element represented by this XMLObject
  `namespacePrefix` - the namespace prefix of the Element represented by this XMLObject
Returns:
  the constructed XMLObject